View Issue Details

IDProjectCategoryView StatusLast Update
0002121XdebugUncategorizedpublic2022-10-10 15:51
Reporterderick Assigned Toderick  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.2.0alpha3 
Target Version3.2devFixed in Version3.2.0RC1 
Summary0002121: Xdebug does not use local independent float-to-string functions
Description

php -r 'setlocale(LC_ALL, "da_DK.utf8"); var_dump(54.234);'

Shows:

Command line code:1:
double(54,234)

It should always use a ..

TagsNo tags attached.
Operating System
PHP Version8.0.10-8.0.19

Issue History

Date Modified Username Field Change
2022-09-27 16:42 derick New Issue
2022-09-27 22:51 derick Note Added: 0006377
2022-10-02 16:22 derick Assigned To => derick
2022-10-02 16:22 derick Status new => assigned
2022-10-02 16:22 derick Note Added: 0006384
2022-10-05 14:54 derick Status assigned => closed
2022-10-05 14:54 derick Resolution open => fixed
2022-10-05 14:54 derick Fixed in Version => 3.2dev
2022-10-10 15:51 derick Fixed in Version 3.2dev => 3.2.0RC1